# Bryan Schumaker (8/13/2010)

import datetime
now = datetime.datetime.now
__start__ = now()

import gtk
import gobject
import pango
import libsaria

gdk  = gtk.gdk
main = gtk.main

__major__ = 4
__minor__ = 3
__bug__   = 3
__dev__   = False

__vers__  = "Ocarina %s.%s" % (__major__, __minor__)
if __bug__ > 0:
	__vers__ = "%s.%s" % (__vers__, __bug__)
if __dev__ == True:
	__vers__ += "-dev"

def uptime():
	return now() - __start__

def startup():
	libsaria.startup()
	gdk.threads_init()
	gobject.threads_init()

def exit(widget, event):
	gtk.main_quit()
	libsaria.shutdown()
	print "Ocarina ran for: %s" % uptime()
